import com.gic.haoban.manage.api.dto.qdto.hm.HmQrcodeQDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.api.service.hm.HmQrcodeApiService;
import com.gic.wechat.api.service.qywx.QywxDepartmentApiService;
import com.gic.wechat.api.service.qywx.QywxSuiteApiService;
import com.gic.wechat.api.service.qywx.QywxUserApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Collections;

//import com.github.binarywang.java.emoji.EmojiConverter;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class ServiceTest {
    @Autowired
    private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;

    @Autowired
    private QywxUserApiService qywxUserApiService;

    @Autowired
    private QywxDepartmentApiService qywxDepartmentApiService;

    @Autowired
    private QywxSuiteApiService qywxSuiteApiService;

    @Autowired
    private StaffApiService staffApiService;

    @Autowired
    private HmQrcodeApiService hmQrcodeApiService;


    @Test
    public void test() {
        HmQrcodeQDTO hmQrcodeQDTO = new HmQrcodeQDTO();
        hmQrcodeQDTO.setHmType(1);
        hmQrcodeQDTO.setWxEnterpriseId("ca66a01b79474c40b3e7c7f93daf1a3b");
        hmQrcodeQDTO.setEnterpriseId("ff8080815dacd3a2015dacd3ef5c0000");
        hmQrcodeQDTO.setName("徐高华");
        hmQrcodeQDTO.setPassFlag(1);
        hmQrcodeQDTO.setStoreId("ff1307040a7748699cf3109615fb24d7");
        hmQrcodeQDTO.setClerkIdList(Collections.singletonList("ff1307040a7748699cf3109615fb24d7"));
        hmQrcodeApiService.add(hmQrcodeQDTO);
    }


}
